Attribut table form view: when selecting/filtering the form should show the first entry of the result 

according to sort rule

2017-07-10 04:25 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24736

Description

When selecting or filtering in the form view, the feature from before the selection/filter stays in the form.

It would be more useful if the first match of the selection or filter according to the sort criteria would be displayed in the form.

E.g. if the selection results in 10 results, the first result of the selection should be displayed in the form, and not the feature that was active

befor the selection/filtering.

History

#1 - 2017-10-23 10:57 AM - Andreas Neumann

- Assignee set to Matthias Kuhn

#2 - 2019-02-24 08:22 PM - Andreas Neumann

- Resolution set to fixed/implemented

- Status changed from Open to Closed

This is implemented already. Closing therefore.
